Subject: bug#67589: closed (Re: bug#67589: Bug with rmail (Emacs 29.1) and movemail 3.16 when password starts with dash symbol)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 May 2024 06:24:02 +0000

Your bug report

#67589: Bug with rmail (Emacs 29.1) and movemail 3.16 when password starts with dash symbol

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67589: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67589
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67589: Bug with rmail (Emacs 29.1) and movemail 3.16 when password starts with dash symbol
From: Eli Zaretskii <[email-masked]>
To: Jakub Ječmínek <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 18 May 2024 09:22:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 17 May 2024 21:20:08 +0000
> From: Jakub Ječmínek <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Did you try to customize email-movemail-flags to give it the string
> > "--" (i.e. two dashes)?
> 
> I confirm that this works.

Thanks, I'm therefore closing this bug.

Subject: Bug with rmail (Emacs 29.1) and movemail 3.16 when password starts with dash symbol
From: [email-masked]
To: [email-masked]
Date: Sat, 02 Dec 2023 18:50:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

My remote mailbox password starts with a dash. I cannot use rmail 
regardless to whether I store the password in my imaps:// URL or I 
insert the password when prompted, and escaping the dash does not help 
in either case.

As for movemail, when I'm prompted to insert the password I don't 
remember in which cases I was successful (but I'm confident to say that 
the command failed either when the dash was escaped or when it was not). 
I can also report that when the password is included in the URL which I 
pass to movemail, then everything works as expected both when the dash 
is not escaped and when it is.